#include "Classifier.hpp"

Classifier::Classifier(const std::string & name, const std::string & topology, const std::string & tsFile)
{
  this->name = name;
  this->transitionSet.reset(new TransitionSet(tsFile));
  this->nn = TestNetwork(transitionSet->size(), 5);
}

TransitionSet & Classifier::getTransitionSet()
{
  return *transitionSet;
}

TestNetwork & Classifier::getNN()
{
  return nn;
}

const std::string & Classifier::getName() const
{
  return name;
}

